Loading...
Searching...
No Matches
ranges::adjacent_difference_fn Struct Reference
Numerics

## Public Member Functions

template<typename I , typename S , typename O , typename BOp = minus, typename P = identity> requires sentinel_for<S, I> && differenceable<I, O, BOp, P>
adjacent_difference_result< I, O > | operator() (I first, S last, O result, BOp bop=BOp{}, P proj=P{}) const
template<typename I , typename S , typename O , typename S2 , typename BOp = minus, typename P = identity> requires sentinel_for<S, I> && sentinel_for<S2, O> && differenceable<I, O, BOp, P>
adjacent_difference_result< I, O > | operator() (I first, S last, O result, S2 end_result, BOp bop=BOp{}, P proj=P{}) const
template<typename Rng , typename ORef , typename BOp = minus, typename P = identity, typename I = iterator_t<Rng>, typename O = uncvref_t<ORef>> requires range<Rng> && differenceable<I, O, BOp, P>
adjacent_difference_result< borrowed_iterator_t< Rng >, O > | operator() (Rng &&rng, ORef &&result, BOp bop=BOp{}, P proj=P{}) const
template<typename Rng , typename ORng , typename BOp = minus, typename P = identity, typename I = iterator_t<Rng>, typename O = iterator_t<ORng>> requires range<Rng> && range<ORng> && differenceable<I, O, BOp, P>
adjacent_difference_result< borrowed_iterator_t< Rng >, borrowed_iterator_t< ORng > > | operator() (Rng &&rng, ORng &&result, BOp bop=BOp{}, P proj=P{}) const